<?php
/**
 * 任务授权行为(部门添加操作)
 * @author ouyang
 */
class TaskAddChildAction extends BaseAction
{
	 public function run()
    {
        if(Yii::app()->request->getIsAjaxRequest())
        {
             $name = $_POST['taskname'];
             $assign = $_POST['assign'];
             $task = $this->getController()->getTask($name);
             $assign = $this->getController()->removeAssign($task,$assign);
             $this->getController()->assign($task,$assign);
        }
    }
    
}